Subject: Re: kernel BUG at net/core/net-sysfs.c:LINE!

From: Al Viro <[email-masked]>
Date: Fri, 5 Apr 2019 03:55:22 +0100

On Thu, Apr 04, 2019 at 11:19:03AM +0800, wanghai (M) wrote:
> Can someone fix this issue? Thanks.

Revert the bogus patch, perhaps?  Because bogus it is - failure of
register_netdevice() should NOT drop the reference it's been given.
It's up to the caller and that's when the name will be freed.